

************************************************************************************************************************************************
**** 										graphs MTR evolution	***
************************************************************************************************************************************************
************************************************************************************************************************************************
use $pathdata/baseplayerbosman.dta, clear

collapse playhome mtrf mtrl mtrgreeceold  mtrgreecenew if year>1984 & year<2009 & country==nationality, by(country year)
g mtrgraph=mtrl
replace mtrgraph=mtrgreecenew if country=="Greece" & year>1992
replace mtrf=mtrgreecenew if year>=1993 & country=="Greece"

************************************************************************************************************************************************
**** 										TOP 5 leagues: France, Germany, UK, Spain and Italy		***
************************************************************************************************************************************************

twoway (connected mtrgraph year if country=="Germany", msymbol(O)) /// 
(connected mtrgraph year if country=="France", msymbol(D)) ///
(connected mtrgraph year if country=="Italy", msymbol(T)) ///
(connected mtrgraph year if country=="Spain", msymbol(S)) ///
(connected mtrgraph year if country=="England", msymbol(+)), ///
ytitle("Top earnings tax rate on local players") xtitle(Year) ylabel(.2(.1).9) xlabel(1986(2)2008, grid) legend(label(1 "Germany") label(2 "France") label(3 "Italy") label(4 "Spain") label(5 "England") position(6) col(3)) ///
graphregion(fcolor(white))

graph export "$pathgraph/taxrates1_local.eps", replace


twoway (connected mtrf year if country=="Germany", msymbol(O)) /// 
(connected mtrf year if country=="France", msymbol(D)) ///
(connected mtrf year if country=="Italy", msymbol(T)) ///
(connected mtrf year if country=="Spain", msymbol(S)) ///
(connected mtrf year if country=="England", msymbol(+)), ///
ytitle("Top earnings tax rate on foreign players") xtitle(Year)  ylabel(.2(.1).9) xlabel(1986(2)2008, grid) legend(label(1 "Germany") label(2 "France") label(3 "Italy") label(4 "Spain") label(5 "England") position(6) col(3)) ///
graphregion(fcolor(white))

graph export "$pathgraph/taxrates1_foreign.eps", replace



************************************************************************************************************************************************
**** 										Nordic Leagues: Denmark, Sweden, Norway		***
************************************************************************************************************************************************

save $pathdata/basegraph1.dta, replace
clear
input mtrgraph mtrforeigner str20 country year
.759 .759 "Denmark" 1986
.759 .759 "Denmark" 1987
.759 .759 "Denmark" 1988
.759 .759 "Denmark" 1989
.759 .759 "Denmark" 1990
end
append using $pathdata/basegraph1.dta
so country year

twoway (connected mtrgraph year if country=="Denmark", msymbol(O)) /// 
(connected mtrgraph year if country=="Norway", msymbol(D)) ///
(connected mtrgraph year if country=="Sweden", msymbol(T)), ///
ytitle("Top earnings tax rate on local players") xtitle(Year) ylabel(.2(.1).9) xlabel(1986(2)2008, grid) legend(label(1 "Denmark") label(2 "Norway") label(3 "Sweden") position(6) col(3)) ///
graphregion(fcolor(white))

graph export "$pathgraph/taxrates2_local.eps", replace


twoway (connected mtrf year if country=="Denmark", msymbol(O)) /// 
(connected mtrf year if country=="Norway", msymbol(D)) ///
(connected mtrf year if country=="Sweden", msymbol(T)), ///
ytitle("Top earnings tax rate on foreign players") xtitle(Year) ylabel(.2(.1).9) xlabel(1986(2)2008, grid) legend(label(1 "Denmark") label(2 "Norway") label(3 "Sweden") position(6) col(3)) ///
graphregion(fcolor(white))

graph export "$pathgraph/taxrates2_foreign.eps", replace


************************************************************************************************************************************************
**** 						Remaining minor leagues: Austria, Belgium, Greece, Netherlands, POrt, Switzerland		***
************************************************************************************************************************************************
order country year
input 
"Austria" 2005 . . . . . .
end
so country year
replace mtrgraph=mtrgraph[_n-1] if country=="Austria" & year==2005
twoway (connected mtrgraph year if country=="Austria", msymbol(O)) /// 
(connected mtrgraph year if country=="Belgium", msymbol(D)) ///
(connected mtrgraph year if country=="Greece", msymbol(T)) ///
(connected mtrgraph year if country=="Netherlands", msymbol(S)) ///
(connected mtrgraph year if country=="Portugal", lp(dash) msymbol(S)) ///
(connected mtrgraph year if country=="Switzerland", msymbol(+)), ///
ytitle("Top earnings tax rate on local players") xtitle(Year) ylabel(.2(.1).9) xlabel(1986(2)2008, grid) legend(label(1 "Austria") label(2 "Belgium") ///
label(3 "Greece") label(4 "Netherlands") label(5 "Portugal") label(6 "Switzerland") position(6) col(3)) ///
graphregion(fcolor(white))

graph export "$pathgraph/taxrates3_local.eps", replace

replace mtrf=mtrf[_n-1] if country=="Austria" & year==2005
twoway (connected mtrf year if country=="Austria", msymbol(O)) /// 
(connected mtrf year if country=="Belgium", msymbol(D)) ///
(connected mtrf year if country=="Greece", msymbol(T)) ///
(connected mtrf year if country=="Netherlands", msymbol(S)) ///
(connected mtrf year if country=="Portugal", lp(dash) msymbol(S)) ///
(connected mtrf year if country=="Switzerland", msymbol(+)), ///
ytitle("Top earnings tax rate on foreign players") xtitle(Year) ylabel(.2(.1).9) xlabel(1986(2)2008, grid) legend(label(1 "Austria") label(2 "Belgium") ///
label(3 "Greece") label(4 "Netherlands") label(5 "Portugal") label(6 "Switzerland") position(6) col(3)) ///
graphregion(fcolor(white))


graph export "$pathgraph/taxrates3_foreign.eps", replace



erase $pathdata/basegraph1.dta
